quaternion.hh File Reference
`#include <mia/3d/defines3d.hh>`
`#include <mia/3d/matrix.hh>`
`#include <mia/3d/vector.hh>`
`#include <ostream>`
`#include <cmath>`
Include dependency graph for quaternion.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | Quaternion
| a class to implement a quaternion More...

## Functions

bool EXPORT_3D | operator!= (const Quaternion &a, const Quaternion &b)
std::ostream & | operator<< (std::ostream &os, const Quaternion &a)
bool EXPORT_3D | operator== (const Quaternion &a, const Quaternion &b)
EXPORT_3D std::istream & | operator>> (std::istream &os, Quaternion &a)

## Function Documentation

## operator!=()

bool EXPORT_3D operator!= | ( | const Quaternion & | a,
|  | const Quaternion & | b )

References EXPORT_3D.

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Quaternion & | a )

inline

Definition at line 182 of file quaternion.hh.

References Quaternion::print().

## operator==()

bool EXPORT_3D operator== | ( | const Quaternion & | a,
|  | const Quaternion & | b )

Parameters

  a |
  b |

Returns
  true if the quaternions are element-wise equal

References EXPORT_3D.

## operator>>()

EXPORT_3D std::istream & operator>> | ( | std::istream & | os,
|  | Quaternion & | a )

References EXPORT_3D, and NS_MIA_END.